package com.huimv.process.controller;

import com.huimv.process.service.IImageService;
import com.huimv.process.utils.PictureUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sun.misc.BASE64Decoder;

import java.io.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping("/picture")
public class PictureController {

    @Autowired
    private IImageService iImageService;

    @RequestMapping(value = "/upload", method = RequestMethod.POST)
    public void uploadPicture(@RequestParam("name") String name, @RequestParam("image") String imageBase64) throws IOException {
        System.out.println("name>>" + name);
        System.out.println("image_base64>>" + imageBase64);
        //
        iImageService.saveImage(imageBase64,name);
    }



}
